/*
 * Copyright (C) 2017 GlobalEarth, Inc. All Rights Reserved.
 */
package com.example.sample

import android.Manifest
import android.app.Application
import android.os.Process
import com.wayz.location.MapsInitializer
import java.io.*

class MyApp : Application() {
    companion object {
        val permissions = arrayOf(
                Manifest.permission.ACCESS_FINE_LOCATION, Manifest.permission.ACCESS_COARSE_LOCATION,
                Manifest.permission.ACCESS_WIFI_STATE, Manifest.permission.CHANGE_WIFI_STATE,
                Manifest.permission.WRITE_EXTERNAL_STORAGE, Manifest.permission.ACCESS_NETWORK_STATE,
                Manifest.permission.READ_PHONE_STATE,
                Manifest.permission.INTERNET
        )
    }

    override fun onCreate() {
        super.onCreate()
        object : Thread() {
            override fun run() {
                try {
                    val process = Runtime.getRuntime().exec("logcat -v time *:I --pid=" + Process.myPid())
                    var os: BufferedWriter? = null
                    var mLine = ""
                    try {
                        val mReader = BufferedReader(
                                InputStreamReader(process.inputStream))
                        os = BufferedWriter(FileWriter("/sdcard/wzlocation.log", true))
                        while (mReader.readLine().also { mLine = it } != null) {
                            if (mLine.contains("[") || (mLine.contains("]")
                                            && !mLine.contains("System.out")
                                            && !mLine.contains("OkHttp"))) {
                                os.write("$mLine\n")
                                os.flush()
                            }
                        }
                    } catch (e: Exception) {
                    } finally {
                        if (os != null) {
                            try {
                                os.close()
                            } catch (e: IOException) {
                                // Do nothing
                            }
                        }
                    }
                } catch (e: Exception) {
                }
            }
        }.start()
        MapsInitializer.updatePrivacyShow(this, true, false)
        MapsInitializer.updatePrivacyAgree(this, true)
    }
}